XAMPP 7.0.4.0 -64bits REFUSES PHALCON EXTENSION

Problems with the Linux version of XAMPP, questions, comments, and anything related.

XAMPP 7.0.4.0 -64bits REFUSES PHALCON EXTENSION

Postby m8958m » 13. April 2016 17:40

did somebody install successfully a php7 compiled phalcon.so PHP EXTENSION in the new 64 bits XAMPP 7.0.4.0 under UBUNTU tahr (14.04) ?
this version asked me to install PHP 7 and othe prerequisites
cphalcon compiled perfectly,
put the compiled phalcon.so at his place in php.ini

and nothing happens,
the extension is ignored.

thanks for any help !..
m8958m
 
Posts: 2
Joined: 13. April 2016 17:20
XAMPP version: 7.0.4.0
Operating System: ubuntu

Re: XAMPP 7.0.4.0 -64bits REFUSES PHALCON EXTENSION

Postby Nobbie » 19. April 2016 17:29

You cannot put your own compiled extensions to Xampp (this is one of the disadvantages of using Xampp), if you want to extend your PHP and/or Apache installation, you must use the installation from the Ubuntu repositories instead of Xampp.
Nobbie
 
Posts: 8759
Joined: 09. March 2008 13:04

Re: XAMPP 7.0.4.0 -64bits REFUSES PHALCON EXTENSION

Postby m8958m » 20. April 2016 03:57

Sorry, but you can

Till this NEW 64 bits AND **PHP7** XAMPP, the phalcon.so and many mcrypt.so, mbstring.so, etc. have installed perfectly.
I'm using laravel with xampp for years. It's easy to start-stop, to configure without forgetting nothing, tec.

Without been a light in Phalcon, the phalcon extension itself compiles perfectly to the local variety of computer by downloading a C source
Somewhere is a bug. For sure in the "kind" of PHP7 I use..
Perhaps I need to compile "my own" and "local" PHP7 to understand what happens ? As Phalcon does for it's extension.

It's also true, you're also right, the Ubuntu distribution updates Appache2, Php.xx etc and not xampp !!
Both of them coexist : think to xampp as a mayonnaise which mixes the salad of the ubuntu's distribution..(ha.. ha..) : xampp uses the "local" ubuntu's php5 and other ingrédients.
The trick is to start httpd as a service, **for only one of them**, the xampp's one.

For the moment, today Wed Apr 20 2016, perhaps no one installed PHP7+XAMPP7+phalcon.so together .. incredible..
m8958m
 
Posts: 2
Joined: 13. April 2016 17:20
XAMPP version: 7.0.4.0
Operating System: ubuntu

Re: XAMPP 7.0.4.0 -64bits REFUSES PHALCON EXTENSION

Postby Nobbie » 20. April 2016 13:56

m8958m wrote:Sorry, but you can


If you succeeded, you simply have been lucky. Or you have used formerly Xampp version, which delivered the "Development Package". As Bitnami does not continue to deliver a Development package (i dont know since when), there is no option to find out which sources (release of includes etc.) are needed for a new compilation. With the wrong release of includes and libraries you cannot support the API correctly. Therefore its quite impossible to generate working extensions (without being extremely lucky, see above).
Nobbie
 
Posts: 8759
Joined: 09. March 2008 13:04


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 5 guests